<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>ch.post.it.evoting.securedatamanager</groupId>
		<artifactId>secure-data-manager</artifactId>
		<version>1.4.4.4</version>
	</parent>

	<artifactId>secure-data-manager-packaging</artifactId>
	<packaging>pom</packaging>

	<name>Secure Data Manager - Packaging</name>

	<properties>
		<package.finalName>secure-data-manager-package-${project.version}</package.finalName>
	</properties>

	<dependencies>
		<dependency>
			<groupId>ch.post.it.evoting.securedatamanager</groupId>
			<artifactId>secure-data-manager-backend</artifactId>
			<version>${project.version}</version>
			<type>jar</type>
			<classifier>runnable</classifier>
		</dependency>
		<dependency>
			<groupId>ch.post.it.evoting.securedatamanager</groupId>
			<artifactId>secure-data-manager-frontend</artifactId>
			<version>${project.version}</version>
			<type>pom</type>
		</dependency>
	</dependencies>

	<build>
		<finalName>${package.finalName}</finalName>

		<plugins>
			<plugin>
				<groupId>com.googlecode.maven-download-plugin</groupId>
				<artifactId>download-maven-plugin</artifactId>
				<executions>
					<execution>
						<id>download-openjdk-jre-win64</id>
						<goals>
							<goal>wget</goal>
						</goals>
						<phase>initialize</phase>
						<configuration>
							<followRedirects>true</followRedirects>
							<url>${openjdk-jre.win64.url}</url>
							<outputDirectory>${project.build.directory}/install/OpenJDK-win64</outputDirectory>
							<unpack>true</unpack>
							<sha256>${openjdk-jre.win64.sha256}</sha256>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<groupId>ch.galinet</groupId>
				<artifactId>reproducible-build-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<artifactId>maven-assembly-plugin</artifactId>
				<configuration>
					<descriptors>
						<descriptor>assembly.xml</descriptor>
					</descriptors>
					<appendAssemblyId>false</appendAssemblyId>
				</configuration>
				<executions>
					<execution>
						<id>create-archive</id>
						<goals>
							<goal>single</goal>
						</goals>
						<phase>package</phase>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
